summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Šime Ramov2010-04-20 00:46:19 +0200
committer David Somero2010-05-15 10:38:29 +0200
commitf75233898b5e89e59afd0d5e5cb3eb1cd883faf4 (patch)
tree1a560868daa8e43a0e1694d8ae59d7cd2cb451c8
parent576d9d5f4ecacacb61e22a38963c6e1b9b8ec031 (diff)
downloadslackbuilds-f75233898b5e89e59afd0d5e5cb3eb1cd883faf4.tar.gz
libraries/perl-Text-Autoformat: Added (Auto reformatting module)
-rw-r--r--libraries/perl-Text-Autoformat/README14
-rw-r--r--libraries/perl-Text-Autoformat/perl-Text-Autoformat.SlackBuild68
-rw-r--r--libraries/perl-Text-Autoformat/perl-Text-Autoformat.info10
-rw-r--r--libraries/perl-Text-Autoformat/slack-desc19
4 files changed, 111 insertions, 0 deletions
diff --git a/libraries/perl-Text-Autoformat/README b/libraries/perl-Text-Autoformat/README
new file mode 100644
index 0000000000..9861747443
--- /dev/null
+++ b/libraries/perl-Text-Autoformat/README
@@ -0,0 +1,14 @@
+perl-Text-Autoformat (Automatic text wrapping and reformatting)
+
+Text::Autoformat provides intelligent formatting of plaintext
+without the need for any kind of embedded mark-up. The module
+recognizes Internet quoting conventions, a wide range of bulleting
+and number schemes, centred text, and block quotations, and
+reformats each appropriately. Other options allow the user to adjust
+inter-word and inter-paragraph spacing, justify text, and impose
+various capitalization schemes.
+
+The module also supplies a re-entrant, highly configurable replacement
+for the built-in Perl format() mechanism.
+
+Requires perl-Text-Reform.
diff --git a/libraries/perl-Text-Autoformat/perl-Text-Autoformat.SlackBuild b/libraries/perl-Text-Autoformat/perl-Text-Autoformat.SlackBuild
new file mode 100644
index 0000000000..3c9e5e3896
--- /dev/null
+++ b/libraries/perl-Text-Autoformat/perl-Text-Autoformat.SlackBuild
@@ -0,0 +1,68 @@
+#!/bin/sh
+
+# Slackware build script for perl-Text-Reform
+# Written by Šime Ramov <s@ramov.com>
+
+PRGNAM=perl-Text-Autoformat
+SRCNAM=Text-Autoformat
+VERSION=${VERSION:-1.668001}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+perl Makefile.PL OPTIMIZE="$SLKCFLAGS" INSTALLDIRS=vendor
+make
+make test
+make install DESTDIR=$PKG
+
+mv $PKG/usr/share/man $PKG/usr/
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+( cd $PKG
+ find . -name perllocal.pod -o -name ".packlist" -o -name "*.bs" | xargs rm -f
+ find . -depth -type d -empty -delete
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README Changes config.vim config.emacs $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/perl-Text-Autoformat/perl-Text-Autoformat.info b/libraries/perl-Text-Autoformat/perl-Text-Autoformat.info
new file mode 100644
index 0000000000..ee07168eef
--- /dev/null
+++ b/libraries/perl-Text-Autoformat/perl-Text-Autoformat.info
@@ -0,0 +1,10 @@
+PRGNAM="perl-Text-Autoformat"
+VERSION="1.668001"
+HOMEPAGE="http://search.cpan.org/dist/Text-Autoformat/"
+DOWNLOAD="http://search.cpan.org/CPAN/authors/id/D/DC/DCONWAY/Text-Autoformat-1.668001.tar.gz"
+MD5SUM="beb168ee1c2e7051b92c37b518751cc3"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Šime Ramov"
+EMAIL="s@ramov.com"
+APPROVED="dsomero"
diff --git a/libraries/perl-Text-Autoformat/slack-desc b/libraries/perl-Text-Autoformat/slack-desc
new file mode 100644
index 0000000000..3ffe28f338
--- /dev/null
+++ b/libraries/perl-Text-Autoformat/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+perl-Text-Autoformat: perl-Text-Autoformat (Automatic text wrapping and reformatting)
+perl-Text-Autoformat:
+perl-Text-Autoformat: Text::Autoformat provides intelligent formatting of plaintext
+perl-Text-Autoformat: without the need for any kind of embedded mark-up. The module
+perl-Text-Autoformat: recognizes Internet quoting conventions, a wide range of bulleting
+perl-Text-Autoformat: and number schemes, centred text, and block quotations, and
+perl-Text-Autoformat: reformats each appropriately. Other options allow the user to adjust
+perl-Text-Autoformat: inter-word and inter-paragraph spacing, justify text, and impose
+perl-Text-Autoformat: various capitalization schemes.
+perl-Text-Autoformat:
+perl-Text-Autoformat: